<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Terminy\Livewire\Components\Filtre;

use Illuminate\View\View;
use Livewire\Component;
use Seka\Portal\Modul\Terminy\Entities\Registracia\StavRegistracie;

/**
 * Class Stav
 *
 * @package Seka\Portal\Modul\Terminy\Livewire\Components\Filtre
 */
final class Stav extends Component
{
    /**
     * @throws \Illuminate\Contracts\Container\BindingResolutionException
     */
    public function render(): View
    {
        $states = StavRegistracie::cases();

        return view('Terminy::livewire.components.filtre.stav', compact('states'));
    }
}
